Bug 1487731 (CVE-2017-13777) - CVE-2017-13777 GraphicsMagick: Resource exhaustion in ReadJNXImage() function in coders/jnx.c
Summary: CVE-2017-13777 GraphicsMagick: Resource exhaustion in ReadJNXImage() function...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-13777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475495 1488444
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 18:34 UTC by Pedro Sampaio
Modified: 2019-09-29 14:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:50 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-09-01 18:34:44 UTC
GraphicsMagick 1.3.26 has a denial of service issue in ReadXBMImage() in a coders/xbm.c "Read hex image data" version!=10 case that results in the reader not returning; it would cause large amounts of CPU and memory consumption although the crafted file itself does not request it.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/233a720bfd5e

References:

http://openwall.com/lists/oss-security/2017/08/31/1

Comment 1 Andrej Nemec 2017-09-06 13:20:59 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1488444]

Comment 2 Andrej Nemec 2017-09-06 13:24:23 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1475495]

Comment 3 Product Security DevOps Team 2019-06-08 03:23:50 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.